About organization charts

Click to show or hide information. Show me an example

Organization chart diagram

Use organization charts to graphically represent the interrelationships among people, operations, functions, and activities in an organization. Using the Organization Chart template, you can

  • Automatically create a hierarchy by dragging staff shapes on top of manager shapes.
  • Place departments on separate pages and synchronize data between pages.
  • Use a wizard to generate organization charts from personnel data stored in data files.
  • Update an organization chart by comparing it to a newer version.
  • Experiment with different layouts without manually moving shapes.
  • Change the appearance of your chart by changing the style and color of the position shapes.

Create an organization chart

Create an organization chart from a data file


Create an organization chart

Click to show or hide information. Show me an example

Organization chart diagram

  1. On the File menu, point to New, point to Organization Chart, and then click Organization Chart.
  2. From the Organization Chart Shapes stencil, drag the Executive shape onto the drawing page.
  3. Add a name and title to the shape.

Click to show or hide information. How?

  1. Select an organization chart shape, and then type the name of the person holding the position that shape represents.
  2. Press the ENTER key, and then type the person's title.
  3. Click anywhere outside the shape.

Click to show or hide information. Tip

To change the font or style for text in shapes, on the Organization Chart menu, click Options, and then choose the text display options you want.

  4. From the Organization Chart Shapes stencil, drag a Manager shape directly onto the Executive shape to establish a reporting relationship. Add a name and title to the shape. Repeat until you've added all the managers you want.
  5. From the Organization Chart Shapes stencil, drag a Position shape directly onto a Manager shape to establish a reporting relationship. Repeat until you've added all the positions you want.
  6. You can change the layout of your entire organization chart, or portions of your chart.

Click to show or hide information. How?

  1. Select the shape at the highest level of the section of the chart you want to rearrange. Then, on the Organization Chart menu, click Arrange Subordinates.
  2. Click the layout style you want, and then click OK.

  7. Customize the organization chart's appearance.

Click to show or hide information. How?

  1. On the Organization Chart menu, click Options.
  2. In the Org chart theme list, select a theme, and then click OK.

Click to show or hide information. Tip

If you want this setting to apply to all future organization charts you create, select the Use these option settings for new organization charts check box.

  8. Add a title to your chart.

Click to show or hide information. How?

  1. From the Organization Chart Shapes stencil, drag a Title/Date shape onto the drawing page.
  2. Double-click the shape, select the text Company Name, and then type the name of the organization you are charting.

The date text automatically displays the day, month, and year.


Create an organization chart from a data file

  1. On the File menu, point to New, point to Organization Chart, and then click Organization Chart Wizard.
  2. On the first wizard page, click Information that's already stored in a file or database, and then click Next.
  3. Follow the wizard pages to create an organization chart from a data file that you specify.

Note You can also use the Organization Chart Wizard to create a new Microsoft Excel or text data file from which to generate a chart. To do this, on the first page of the wizard, select Information that I enter using the wizard, and then follow the wizard pages to create an organization chart from your new data.


Options dialog box

Choose options that determine the appearance of the organization chart you have open and of organization charts you create in the future.

Click to show or hide information. Width

Type or select the width you want organization chart boxes to be.

Click to show or hide information. Height

Type or select the height you want organization chart boxes to be.

Click to show or hide information. Org Chart Theme

Select a design theme to apply to your organization chart shapes.

Click to show or hide information. Show Divider Line

Select to show the divider line in all the shapes in your organization chart.

Click to show or hide information. Automatically Move Shapes Into Position, When Possible

Click if you want shapes to be automatically arranged in the best possible way as you create your drawing.

Note If this option is selected and you move shapes after initially placing them on the drawing page, the organization chart might no longer be arranged optimally.

Click to show or hide information. Do Not Automatically Move Shapes

Click if you want to control how shapes are positioned on the drawing page.

Click to show or hide information. Text Font

Select the font you want to use for text in your chart.

Click to show or hide information. Top Line Style

Select the text style you want for the top line of text in your organization chart shapes.

Click to show or hide information. Set Display Fields

Click to open a dialog box in which you can choose which custom property fields you want to display in your organization chart shapes.

Click to show or hide information. Show Drawing Tips When Available

Select to display drawing tips automatically when they are available. You can clear this check box any time to stop having drawing tips appear.

Click to show or hide information. Use These Option Settings For New Organization Charts

Select to have the options you select in this dialog box apply to all subsequent organization charts you create using this template. These settings are also applicable for organization chart shapes used on drawings created in other Visio templates.


Spacing dialog box

Choose the amount of space you want between some or all of the shapes in an organization chart.

Click to show or hide information. Tighter

Click to move the organization chart shapes closer to one another.

Click to show or hide information. Looser

Click to move the organization chart shapes farther apart.

Click to show or hide information. Custom

Click, and then click Values, to choose a layout type and set the exact spacing you want between superiors and subordinates, and between subordinates.

Click to show or hide information. Selected Shape

Click to apply spacing settings to the shape(s) you selected before you opened the dialog box.

Click to show or hide information. Current Page

Click to apply spacing settings to all the shapes on the page that is currently displayed.

Click to show or hide information. All Pages

Click to apply spacing settings to all the shapes on all pages of your organization chart drawing.


Custom Spacing Values dialog box

Customize the spacing between some or all of the shapes in an organization chart.

Note The spacing settings you specify apply only to the layout you selected in the Layout type list.

Click to show or hide information. Layout Type

Select the layout type that has spacing you want to customize. The preview indicates the relevant spaces between shapes for the type of layout you choose. The layout type you select will be used for shapes that are selected in your drawing.

Click to show or hide information. Fixed Distance

Type or select the fixed offset you want. The amount you type is added to the offset determined by the % of width offset. Specifying a % of width offset of 100% and a fixed offset of .25 units will keep the left side of the subordinate shape .25 units to the right of the right side of the superior shape, regardless of the superior shape's width.

Click to show or hide information. % Of Width

Type or select the proportional offset you want. If you change box size, the offset distance changes proportionally. Specifying 100% will always keep the left side of the subordinate shapes directly under the right side of the superior shape, regardless of the superior shape's width.

Click to show or hide information. Vertical Spacing

Type or select the amount of vertical space you want between subordinates at the same level.

Click to show or hide information. Horizontal Spacing

Type or select the amount of horizontal space you want between subordinates at the same level.

Click to show or hide information. Spacing To Subordinates

Type or select the amount of space you want between a superior shape and its subordinate shapes.

Click to show or hide information. Spacing To Assistants

Type or select the amount of space you want between a superior shape and its assistant shapes.


Arrange Subordinates dialog box

Click a layout option button. All shapes subordinate to the shape(s) you have selected on the drawing page will be rearranged in the new layout.


Change Position Type dialog box

Click a new position type. The shape(s) you have selected on the drawing page will be converted to this type.


Create Synchronized Copy dialog box

Specify on which page to place a copy of the selected shapes and their subordinates, and how to treat the department manager's subordinates on the original page. The copy is synchronized, which means that changes you make to text or custom properties on either page are made to the duplicate shapes on both pages.

Note Changes you make to synchronized copies, other than to text or custom properties, are not synchronized. For example, if you delete a synchronized shape, only that shape on that page is deleted. The synchronized copies on other pages are unchanged.

Click to show or hide information. New Page

Click to create a new page in your organization chart drawing on which to place a copy of a department from the original page.

Click to show or hide information. Existing Page

Click to place a copy of a department from the original page onto a page that already exists in your organization chart document. Select the page you want.

Note You can't place the synchronized copy on the same page as the original shape or on the same page as another synchronized copy of the same shape.

Click to show or hide information. Hide Subordinates On Original Page

Select to hide the subordinates on the original page. The appearance of the superior shape changes to indicate that its subordinates are hidden.


Compare Organization Data dialog box

Specify the organization chart drawings you want to compare and the result you want from the comparison.

Click to show or hide information. My Drawing To Compare

Select or locate the organization chart you want to compare with another version.

Click to show or hide information. Drawing To Compare It With

Select or locate the version of the organization chart you want to compare your drawing to.

Click to show or hide information. My Drawing Is Older

Click if you want to update your organization chart to reflect changes that have been made in the other version. When you choose this option and click OK, you can view a report of the differences found between the older and newer drawing. Click Update in the Comparison Report dialog box to perform the update.

Click to show or hide information. My Drawing Is Newer

Click to generate a report that lists the differences between your organization chart and the other version.


Compare Data Values dialog box

Specify particular data you want to compare in two versions of an organization chart drawing.

Click to show or hide information. Data Values To Compare

CTRL+click to select the data fields that contain values you want to compare.

Click to show or hide information. Employee Unique Identifier

Select the data field that uniquely identifies each employee in the organization chart drawing.


Synchronize Relationships dialog box

Update relationships between synchronized copies of shapes. For example, you can add subordinate shapes that exist on other pages of your chart but are not on the current drawing page.

Click to show or hide information. Selected Shapes Only

Click to update synchronization for selected shapes only.

Click to show or hide information. Selected Shapes And Their Subordinates

Click to update synchronizaton for the selected shapes and all of their subordinate shapes.

Click to show or hide information. Shapes On The Current Page

Click to update synchronization for all shapes on the current drawing page.

Click to show or hide information. Shapes On All Pages

Click to update synchronization for all shapes on all pages in your organization chart.


Select Superior dialog box

While synchronizing relationships in an organization chart, Microsoft Visio has found one or more discrepancies in the reporting structures shown on different pages.

Select the correct reporting relationship, and then click OK. Repeat as needed for each discrepancy.


Set Display Fields dialog box

Specifies custom property fields to display on organization chart shapes.

Click to show or hide information. Available Fields

Custom property fields you can select to display in your organization chart shapes.

Click to show or hide information. Displayed Fields

Custom property fields designated for display on organization chart shapes.

Click to show or hide information. Add

Click to move selected field(s) from Available fields to Displayed fields.

Click to show or hide information. Remove

Click to move selected field(s) from Displayed fields to Available fields.

Click to show or hide information. Down

Click to move the selected field down one level in the Displayed fields list. The order you specify here is the order in which fields will display on shapes in your organization chart drawing.

Click to show or hide information. Up

Click to move the selected field up one level in the Displayed fields list. The order you specify here is the order in which fields will display on shapes in your organization chart drawing.


Comparison Report dialog box

Click to show or hide information. By Person

Displays a report of the personnel changes in the charts you're comparing. Lists all of the changes made for each person, by person.

Click to show or hide information. By Operation

Displays a report of operational changes such as text, properties, and relationships in the charts you're comparing. Lists all of the changes of a certain type, such as Add, Delete, etc., by operation.

Click to show or hide information. By Sequence Of Operation

This tab is available only if you specified My Drawing Is Older.

Displays the changes that will be made to the older organization chart so it will contain updated information from the new drawing. Lists all of the changes in the order in which they will be applied to the drawing.

Click to show or hide information. Update Drawing

Available only if you specified My Drawing Is Older.

Updates your chart with the data from the newer organization chart.

Click to show or hide information. Save As Text

Opens the Save As dialog box, in which you specify a name and location for the text file that will contain the report from the currently selected tab.

Note Only the report in the currently selected tab will be saved. To save other reports, click the tab that contains the report you want to save, and then click Save As Text.


Run the Organization Chart Wizard from the command line

If you maintain your organizational data in enterprise resource planning software, such as PeopleSoft or SAP/R3, you might want to develop a solution that allows users to quickly generate an organization chart from a data file without having to work through the Organization Chart Wizard pages.

To develop the solution, create a macro or executable file that runs the Organization Chart Wizard from the command line. The macro or executable file must include the statement:

_Organization Chart Wizard.exe <arguments>

where the arguments specify how to build the organization chart. The possible arguments are listed below. If an argument value includes spaces, put the argument in quotes.

Click to show or hide information. /USE-LAST-VALUES

Reads values from the registry chosen by the last person who used the Organization Chart Wizard. If this argument is specified, all subsequent arguments are ignored.

Click to show or hide information. /FILENAME=<filename>

Required, unless /DATASOURCE or /MICROSOFT-EXCHANGE are specified. Specifies the data file name you want the wizard to read. If the file name includes spaces, put the name in quotes.

Click to show or hide information. /DATASOURCE=<datasourcename>,TABLE=<tablename>,DBQUALIFIER=<databasequalifier>

Required, unless /FILENAME or /MICROSOFT-EXCHANGE are specified. Specifies the name, table, and qualifier of the ODBC-compliant database you want the wizard to read.

Click to show or hide information. /MICROSOFT-EXCHANGE

Required, unless /FILENAME or /DATASOURCE are specified. Specifies that you want the wizard to read the Microsoft Exchange Server data.

Click to show or hide information. /NAME-FIELD=<fieldname>

Optional. Specifies the field in the data file where the wizard can find employee names. If you don't specify this field, the wizard will look for common names, such as Name, Employee, Employee Name, or Employees. If it doesn't find a likely field, the wizard will fail.

Click to show or hide information. /MANAGER-FIELD=<fieldname>

Optional. Specifies the field in the data file where the wizard can find Report-To information. If you don't specify this field, the wizard will look for common names, such as Manager, Reports To, or Reports-To. If it doesn't find a likely field, the wizard will fail.

Click to show or hide information. /FIRSTNAME-FIELD=<fieldname>

Optional. Specifies a field in the data file where the wizard can find employees' first names. If you don't specify this field, the wizard will look for common names, such as First Name or First-Name. If it doesn't find a likely field, the wizard will continue building the organization chart.

Click to show or hide information. /UNIQUEID-FIELD

Optional. Specifies the field containing the unique identifier. If this argument is not specified, the wizard will look for a field containing the same data values that are in the MANAGER-FIELD field. If it doesn't find a likely field, the wizard will fail.

Click to show or hide information. /SHAPE-FIELD=<fieldname>

Optional. Specifies a field in the data file where the wizard can find the name of the organization chart master in Visio that you want it to use. If you don't specify this field, the wizard will look for common names, such as Master Shape or Master-Shape. If it doesn't find a likely field, the wizard will continue building the organization chart using shapes it chooses based on the reporting structure.

For example, you can put Executive in the Shape field for the person at the top of the organization chart to indicate that the wizard should use the Executive shape for this person when it builds the organization chart.

Click to show or hide information. /HYPERLINK-FIELD=<fieldname>

Optional. Specifies a field in the data file where the wizard can find the text used for a shape's hyperlink. The wizard will search the data file for a column named HYPERLINK or URL. If it doesn't find a likely field, the wizard will continue building the organization chart. The wizard will read the contents of the column and store that text in the shapes as hyperlink addresses. The hyperlink destination is accessible by right-clicking the shape and then clicking a hyperlink [image].

Click to show or hide information. /PAGES=<top employee> <num levels> PAGENAME=<pagename>,<top employee> <num levels> PAGENAME=<pagename>…

Optional. Specifies how you want the wizard to break the organization chart into pages. If you specify this argument, you must identify the top employee on each page (required). Optionally, you can include the number of reporting levels to include on a page, and the page name. If you don't specify the number of levels, the wizard includes all levels on a page. Names with spaces must be in quotes. Always include a space between <top employee> and <num levels> and PAGENAME=<pagename>. If you don't specify the pages, the wizard defines the pages, and places an appropriate number of shapes on each page.

Click to show or hide information. /DISPLAY-FIELDS=<fieldname>, <fieldname>, …

Optional. Specifies the fields from the data file that you want to display in each box in the organization chart. If you don't specify fields, the wizard displays the employee name. The order of this list is the order displayed on the shapes.

Click to show or hide information. /CUSTOM-PROPERTY-FIELDS=<fieldname> HIDDEN, <fieldname> HIDDEN, …

Optional. Specifies the fields from the data file that you want to add to the organization chart shapes as custom property fields. Optionally, insert the HIDDEN modifier after custom properties you want to be invisible to the user.

For example, your data file might include fields for department name, telephone number, and office number. By adding these fields as custom property fields on the organization chart shapes, you allow users of the organization chart to access the data in these fields by right-clicking the shapes representing employees.

Also, you can use the HIDDEN modifier to store information about the source data in your shapes, without the information being accessible to users of the organization chart. For example, if you want to create an organization chart that shows the hierarchy of tasks from Microsoft Project, you can store the Project Task ID value as a hidden custom property.

Click to show or hide information. /LINK-TO-DB

Valid only when /DATASOURCE and /CUSTOM-PROPERTY-FIELDS are also specified. Not required if you specify /LINK-PAGE-ACTIONS or /LINK-SHAPE-ACTIONS.

Specifies that you want to establish a link between the data source that contains your organization data and the organization chart drawing. When a link is in place, the user of the drawing can pass changes you make in the data source to the drawing and vice versa.

When the link is in place, the default page and shape actions include UPDATE-SHAPES-ONOPEN, UPDATE-RECORD, and UDPATE-SHAPE. This means that if you make changes to the data source, the changes will be passed to the drawing automatically the next time you open the file. You can also pass changes back and forth by right-clicking a shape in the drawing and updating the shape if changes have been made in the data source, or by updating a cell in the data source if changes have been made to the shape.

Click to show or hide information. /LINK-PAGE-ACTIONS=<action>, <action>, …

Valid only when /DATASOURCE and /CUSTOM-PROPERTY-FIELDS are also specified. If you specify /LINK-PAGE-ACTIONS, you don't need to use the /LINK-TO-DB argument.

Specifies that you want to establish a link between the data source that contains your organization data and the organization chart drawing. When a link is in place, you can pass changes you make in the data source to the drawing and vice versa.

Possible actions:

  • UDPATE-SHAPES means that you can right-click the page and choose this command to pass changes from the data source to all shapes in the organization chart drawing.
  • UPDATE-DATABASE means that you can right-click the page and choose this command to pass changes from the organization chart drawing to the data source.
  • UPDATE-SHAPES-ONOPEN means that if you make changes to the data source, the changes will be passed to the drawing automatically the next time you open the file.
  • UPDATE-SHAPES-ONINTERVAL means that changes to the data source will be passed to the drawing automatically at the interval you specify.

Click to show or hide information. /LINK-SHAPE-ACTIONS=<action>, <action>, …

Valid only when /DATASOURCE and /CUSTOM-PROPERTY-FIELDS are also specified. If you specify /LINK-SHAPE-ACTIONS, you don't need to use the /LINK-TO-DB argument.

Specifies that you want to establish a link between the data source that contains your organization data and the organization chart drawing. When a link is in place, you can pass changes you make in the data source to the drawing and vice versa.

Possible actions:

  • SELECT-RECORD means that you can right-click a shape in the organization chart drawing and select a record in the data source that you want the shape to represent. The data in the record is passed to the shape.
  • UDPATE-RECORD means that you can right-click a shape in the drawing and choose this command to pass changes you have made to the shape to a record in the data source.
  • UPDATE-SHAPE means that if you have made changes to the data source, you can right-click a shape in the drawing and update the shape to reflect the changes.
  • DELETE-SHAPE-AND-RECORD means that you can right-click a shape in the drawing and choose this command to delete both the shape from the drawing and the record in the corresponding data source.

Click to show or hide information. /SHOW-DIVIDER-LINE

Optional. Specifies a divider line on organization chart shapes that separates one line of display text (such as employee name) from another (such as title).

Click to show or hide information. /SYNC-ACROSS-PAGES

Optional. Specifies that all shapes representing the same employee that appear on different pages of the drawing will be synchronized, so that changes made to one of the shapes's text or custom properties will be made to all the shapes.

Click to show or hide information. /HYPERLINK-ACROSS-PAGES

Optional. Specifies that all shapes representing the same employee that appear on different pages of the drawing will contain hyperlinks to each other. The hyperlink destination is accessible by right-clicking the shape and then clicking the hyperlink [image].

Click to show or hide information. /LAUNCHGUI

Optional. Specifies that the drawing-definition organization chart wizard pages will be displayed to the user, so that the user can interactively modify the command-line arguments. The user will not be able to change the data source specified in /FILENAME, /DATASOURCE, or /MICROSOFT-EXCHANGE.

Run the Organization Chart Wizard from a program using the Run method

You can also run the Organization Chart Wizard from a program using the Run method. You can use the following sample code as a guideline:

Public Const MAX_ARGSTRING_LENGTH% = 100

Sub Main()

' Read the command line

Dim strCommand As String

strCommand = Command$

' Check if the addon exists

On Error GoTo OrgDoItErrHandler

Dim objAddOn As Object

Set objAddOn = appVisio.Addons

' Run the addon (errors are handled by the addon)

On Error Resume Next

' Break up the string

Dim strCommandPart As String

Dim strCommandLeft As String

strCommandLeft = strCommand

objAddOn("OrgCWiz").Run ("/S-INIT")

While (Len(strCommandLeft) > 0)

strCommandPart = Left(strCommandLeft, MAX_ARGSTRING_LENGTH)

strCommandLeft = Mid(strCommandLeft, Len(strCommandPart) + 1)

objAddOn("OrgCWiz").Run ("/S-ARGSTR " + strCommandPart)

Wend

objAddOn("OrgCWiz").Run ("/S-RUN " + strCommandLeft)

Exit Sub

End Sub

Note For more information, see the online Developer Reference provided with Microsoft Visio (on the Help menu, click Developer Reference).


About updating an organization chart with new information

You can update an organization with new information while preserving the format and arrangement of your chart. By comparing the formatted chart with a newer version that reflects the changes, you can update the formatted chart without losing the formatting. The comparison ignores graphical information, such as shape position, size, design, and color. If you update an older version based on a comparison with a newer version, only the data in the older version is updated.

In addition, you can compare two versions of an organization chart that are out of sync, and then generate a report of the differences. The report lists only the differences related to data, and organizes the differences in three different ways: by person, by operation, and by sequence of operation.

Click to show or hide information. Update an organization chart

  1. Open the organization chart you want to update.
  2. On the Organization Chart menu, click Compare Organization Data.
  3. In My drawing to compare, click the name of the organization chart you want to update.
  4. In Drawing to compare it with, click the name of the newer version, or click Browse to locate it.
  5. Under Compare type, click My drawing is older, and then click OK.
  6. A Comparison Report appears, in which you can view specific changes required to update your chart. Do one or more of the following:
  • Click Update Drawing to accept the changes.
  • Click Save As Text to save the comparison report as a text file.
  • Click Close to close the dialog box. If you have not already clicked Update Drawing, the changes will be rejected and your chart will not be updated.

Note When you update an organization chart, you update only the data, that is, the text displayed on the shapes and any data associated with the shapes in custom properties. Graphical information, such as shape position, size, design, and color, is not changed in any way.

Click to show or hide information. Generate a report on the differences

  1. Open the newer version of the organization chart.
  2. On the Organization Chart menu, click Compare Organization Data.
  3. In My drawing to compare, click the name of the open organization chart.
  4. In Drawing to compare it with, click the name of the older version, or click Browse to locate it.
  5. Under Compare type, click My drawing is newer, and then click OK.
  6. A Comparison Report appears, in which you can view specific differences in your chart.
  7. Click Save As Text to save the comparison report as a text file.


About associating data with organization chart shapes

Associate data with organization chart shapes if you

  • Have information about employees, such as department, telephone number, or other data that you want to store with the organization chart.
  • Want the organization chart to function as a source of data that you can export (in Microsoft Excel Workbook (.xls), text tab-delimited (.txt), or CSV comma-delimited (.csv) format) and use in other contexts.

Organization chart shapes already have data fields, also called custom property fields or custom properties, for names, titles, telephone numbers, and departments.

You can add more custom property fields if there are other types of data that you want to associate with your organization chart shapes.

Note When you export data from an organization chart, the data file includes a field corresponding to each custom property field associated with the shapes.


Create a text data file from which to generate an organization chart

  1. On the File menu, point to New, point to Organization Chart, and then click Organization Chart Wizard.
  2. On the first wizard page, click Information I enter using the wizard, and then click Next.
  3. On the next wizard page, click Delimited text, and then type the name of the file. Click Browse to locate the folder to which you want to save the file, click Save, and then click Next.
  4. When you click OK, a text file opens with sample text in place. Type over the sample text to create your data file. In the text file, on the File menu, click Save, and then close the text file.
  5. Follow the remaining wizard pages to create an organization chart from your new text data file.


Create a Microsoft Excel (.xls) data file from which to generate an organization chart

  1. On the File menu, point to New, point to Organization Chart, and then click Organization Chart Wizard.
  2. On the first wizard page, click Information that I enter using the wizard, and then click Next.
  3. On the next wizard page, click Microsoft Excel, and then type the name of the file. Click Browse to locate the folder to which you want to save the file, click Save, and then click Next.
  4. When you click OK, an Excel workbook opens with column headings in place. Type over the sample text to create your data file. Pause the cursor on the column headings to view tips on entering data.
  5. On the Excel File menu, click Save, and then close Excel.
  6. Follow the remaining wizard pages to create an organization chart from your new Excel data file.


Change the layout of subordinate shapes in an organization chart

  1. Select the shape at the highest level of the section of the chart you want to rearrange. Then, on the Organization Chart menu, click Arrange Subordinates.
  2. Click the layout style you want, and then click OK.


Change layout spacing in an organization chart

  1. On the Organization Chart menu, click Change Spacing.
  2. Choose the spacing options you want, and then click OK.

Click to show or hide information. Tip

To control the exact amount of space between shapes, click Custom in the Spacing dialog box, and then click Values to set the distances you want.


Associate department name and phone number data with organization chart shapes

  1. Select the shape to which you want to add data.
  2. On the Shape menu, click Custom Properties.
  3. Type the values you want, and then click OK.

Click to show or hide information. Tip

If you want to associate other data with the shapes, you can add a custom property field for each new data type. In the Custom Properties dialog box, click Define, and then specify custom properties for the data you want to enter.


Change the design theme of an organization chart

  1. On the Organization Chart menu, click Options.
  2. In the Org chart theme list, select a theme, and then click OK.

Click to show or hide information. Tip

If you want this setting to apply to all future organization charts you create, select the Use these option settings for new organization charts check box.


Place a copy of a department on a new page in an organization chart

  1. Select the top manager shape of the department you want to copy to a new page, and then, on the Organization Chart menu, click Create Synchronized Copy.
  2. Choose whether to place the copy on a new or existing page, and whether or not to hide the subordinate shapes on the original page.
  3. To display the original page, click a page tab at the lower-left corner of the window. To show hidden subordinates, right-click the manager shape, and then click Show Subordinates.

Note Changes you make to the text and custom properties of a shape apply to all synchronized copies of the shape on other pages. However, changes such as adding, deleting, or moving a shape do not apply to all synchronized copies, only to that shape and that page.


Add a name and title to an organization chart shape

  1. Select an organization chart shape, and then type the name of the person holding the position that shape represents.
  2. Press the ENTER key, and then type the person's title.
  3. Click anywhere outside the shape.

Click to show or hide information. Tip

To change the font or style for text in shapes, on the Organization Chart menu, click Options, and then choose the text display options you want.


Add a title to an organization chart

  1. From the Organization Chart Shapes stencil, drag a Title/Date shape onto the drawing page.
  2. Double-click the shape, select the text Company Name, and then type the name of the organization you are charting.

The date text automatically displays the day, month, and year.


Change reporting relationships in an organization chart

  • To make a shape report to a different superior shape, drag the shape onto the superior shape you want it to report to.
  • To switch the positions of shapes within a reporting structure, select one of the shapes. On the Organization Chart menu, point to Move Subordinates, and then click Left/Up or Right/Down.
  • To delete an organization chart shape, select the shape, and then press the DELETE key.

Click to show or hide information. Tip

Changing reporting relationships can affect the appearance of your chart. You can click Auto-Arrange Shapes [image] on the Organization Chart toolbar any time to see the best possible layout of your chart as you work.


Hide subordinates in an organization chart

  1. Select the superior that has subordinates you want to hide.
  2. On the Organization Chart menu, click Hide Subordinates.

Click to show or hide information. Tip

To show the subordinates again, right-click the shape, and then click Show Subordinates. You can also click Show Subordinates on the Organization Chart menu.


Locate a person in a large organization chart

  1. On the Organization Chart menu, click Find Person.
  2. Type the name of the person, select the search options you want, and then click Find Next.


Change a shape's position type in an organization chart

  1. Select the shape you want to change. For example, you might want to change a Position shape to a Manager shape.
  2. Right-click the shape, and then click Change Position Type.
  3. Select a new position type, and then click OK.


Change the size of the boxes in an organization chart

  1. On the Organization Chart menu, click Options.
  2. Under Shape display, select or type a new width and height for all the organization chart boxes in your drawing.

Click to show or hide information. Tip

If you want the box size you specify to apply to all future organization charts you create, select the Use these option settings for new organization charts check box.


Update an organization chart from a newer version

  1. Open the organization chart you want to update.
  2. On the Organization Chart menu, click Compare Organization Data.
  3. In My drawing to compare, click the name of the organization chart you want to update.
  4. In Drawing to compare it with, click the name of the newer version, or click Browse to locate it.
  5. Under Compare type, click My drawing is older, and then click OK.
  6. A Comparison Report appears, in which you can view specific changes required to update your chart. Do one or more of the following:
  • Click Update Drawing to accept the changes.
  • Click Save As Text to save the comparison report as a text file.
  • Click Close to close the dialog box. If you have not already clicked Update Drawing, the changes will be rejected and your chart will not be updated.

Note When you update an organization chart, you update only the data, that is, the text displayed on the shapes and any data associated with the shapes in custom properties. Graphical information, such as shape position, size, design, and color, is not changed in any way.


Generate a report of the differences between two versions of an organization chart

  1. Open the newer version of the organization chart.
  2. On the Organization Chart menu, click Compare Organization Data.
  3. In My drawing to compare, click the name of the open organization chart.
  4. In Drawing to compare it with, click the name of the older version, or click Browse to locate it.
  5. Under Compare type, click My drawing is newer, and then click OK.
  6. A Comparison Report appears, in which you can view specific differences in your chart.
  7. Click Save As Text to save the comparison report as a text file.


Export data from an organization chart

  1. On the Organization Chart menu, click Export Organization Data.
  2. Type a name and select a location for the exported file.
  3. In the Save as type list, click the format in which you want the file to be exported, and then click Save.

Note When you export data from an organization chart, the data file includes a field corresponding to each custom property field associated with the organization chart shapes.


Set default options for new organization charts

  1. On the File menu, point to New, point to Organization Chart, and then click Organization Chart.
  2. On the Organization Chart menu, click Options.
  3. Select the shape display, shape positioning, text display, and general options you want.
  4. Select the Use these option settings for new organization charts check box, and then click OK.


Hide the divider line in organization chart shapes

  1. On the Organization Chart menu, click Options.
  2. Under Shape display, clear the Show divider line check box, and then click OK.


Convert an organization chart created in a previous version of Microsoft Visio

  1. On the Tools menu, point to Macros, point to Organization Chart, and then click Organization Chart Converter.
  2. On the first wizard page, click Browse to locate the legacy Visio drawing.
  3. By default, all the new behavior available in the Microsoft Visio 2002 Organization Chart template will be activated in your drawing. If you want to specify which behaviors to activate, click Settings, clear the check box of each behavior you don't want to activate, and then click OK.
  4. On the Organization Chart Converter page, click Next.
  5. The converter asks you how it should handle shapes that it can't convert, such as clip art or shapes you created yourself. Select the options you want, and then click Finish.

Note Only organization charts created in Visio versions earlier than 5.0c (Business Bonus Pack) need to be converted.


Automatically arrange all of the shapes in an organization chart

On the Organization Chart menu, click Auto-Arrange Shapes.

The shapes in your organization chart are automatically arranged in the best way possible.

Click to show or hide information. Tip

You can also click Auto-Arrange Shapes [image] on the Organization Chart toolbar.


Set the default to automatically position shapes as you create an organization chart

  1. On the File menu, point to New, point to Organization Chart, and then click Organization Chart.
  2. On the Organization Chart menu, click Options.
  3. Under Shape Positioning, choose Automatically move shapes into position, when possible, and then click OK.


Change how text displays in organization chart shapes

  1. On the Organization Chart menu, click Options.
  2. Under Text display, select a text font and a top line style, and then click OK.

Click to show or hide information. Tip

If you want the text display settings you select to apply to all future organization charts you create, select the Use these option settings for new organization charts check box.


Change which custom property fields display on organization chart shapes

  1. On the Organization Chart menu, click Options.
  2. Under Text display, click Set Display Fields.
  3. Under Available fields, select the custom properties you want to display, and then click Add to move them to the Displayed fields list.
  4. Use the Down and Up buttons to change order in which the fields will be displayed on organization chart shapes.


Restore the default settings for an organization chart

  1. On the Organization Chart menu, click Options.
  2. Click Restore Defaults, and then click OK.


Update relationships for synchronized shapes in an organization chart

  1. On the Organization Chart menu, click Synchronize Relationships.
  2. Click the option you want, and then click OK.
  3. If any shapes are found that report to more than one superior, the Select Superior dialog box displays. Select the correct reporting relationship, and then click OK.

Note If you are exporting your organization chart, you must resolve all reporting relationship conflicts first. Otherwise, any synchronized copies of shapes that have different superiors will be treated as different people in the exported file.


Set the default option to turn off automatic shape positioning

  1. On the File menu, point to New, point to Organization Chart, and then click Organization Chart.
  2. On the Organization Chart menu, click Options.
  3. Under Shape positioning, click Do not automatically move shapes, and then click OK.


About Organization Chart Wizard data

Click to show or hide information. File formats the wizard can read

  • Tab- or comma-delimited text (.txt)
  • Org Plus (.txt)
  • Microsoft Excel (.xls)
  • Microsoft Exchange Server Directory
  • The file format for a database created in an Open Database Connectivity (ODBC)-compliant database application

Click to show or hide information. Required data

  • Employee name This field can be the unique identifier field if each name is unique. The way employee names appear in this field is the way they will appear on organization chart shapes.
  • Unique identifier If each name is not unique, a unique identifier, such as an employee ID number, is required for each employee.
  • Who the employee reports to This field must contain each manager's unique identifier, whether that identifier is a name or an ID number. (For the employee at the top of the organization chart, leave this field blank.)

You can name these required fields whatever you want. The wizard gives you an opportunity to identify which of your field names provide the name and reports-to information.

Click to show or hide information. Optional data

If your data file includes other fields, such as telephone number, department, position name, master shape, or hyperlink address, the wizard gives you the option of displaying this data on the shape and storing it with the shape so people who use the organization chart can consult it.

Click to show or hide information. Sample files

Two sample files, Sample Org Chart Data.txt and Sample Org Chart Data.xls, are available in the folder Samples\Organization Chart, located in the Microsoft Visio directory. You can use these sample files as models for how to organize the data in your data file.


About columns and custom property fields in data files

Click to show or hide information. Data file columns

The Organization Chart Wizard uses columns (fields) from your data file to create custom property fields that will be associated with the shapes in the organization chart.

  • Each row in the data file corresponds to one employee and, therefore, to one position box, or shape, in the organization chart.
  • Columns in the data file, which you designate as custom property fields, become data fields associated with each shape in the chart.
  • The value in the data file cell where an employee row intersects with a custom property field column is the value that the wizard puts into the custom property field associated with a specific organization chart shape.

For example, suppose that your data file contains a row for an employee named Neil Smith. Your data file also contains a column for Telephone Number. Neil's telephone number, as recorded in the cell where Neil's row intersects the Telephone Number column, is X521. If, in the wizard, you designate Telephone Number as a custom property field, the position box representing Neil Smith in the organization chart will include a Telephone Number custom property field, and the value in the field will be X521.

Click to show or hide information. Custom property fields

Custom property fields are data fields where you can enter values associated with shapes.

For example, by default, organization chart shapes have these custom property fields: Name, Title, Department, and Telephone Number. You can create additional fields as needed.

You can add values to shapes' custom property fields so that an organization chart becomes more than just a hierarchical description of your organization, but also functions as a source of data about positions and people.


About defining a new ODBC data source

If the data source that contains your organization chart information isn't listed on this page, either the database doesn't exist or the database is not defined as an ODBC data source.

To create a new database and define it as an ODBC data source, or to define an existing database as an ODBC data source, click Create Data Source.

Define a database as an ODBC data source


About ODBC data sources and organization charts

Each row (or employee) in the data source will be represented in the organization chart by one of the organization chart shapes.

You can designate columns in the data source that will become custom property fields associated with the organization chart box shapes. For example, if your data source includes columns for Department and Telephone Number, you can designate these columns in the wizard. As a result, shapes in your organization chart will each have custom property fields for these same properties.

Click to show or hide information. Copy Database Records To Shapes

Select this option to copy the current values from the data source cells into the shape custom property fields. For example, each employee telephone number in the data source will be copied into the Telephone Number custom property field on the shape representing each employee.

Click to show or hide information. Link Database Records To Shapes

Select this option to create a dynamic link between the data source and the organization chart shapes. If you update the database, you can pass the changes to the drawing. If you update the drawing, you can pass the changes to the database.


About choosing actions and events

Choose the actions and events you want to use to pass information from an ODBC data source to an organization chart, and vice versa.

Actions are available on a shortcut menu that appears when you right-click an organization chart shape or the drawing page. Events represent how Microsoft Visio responds to a user action, such as opening a drawing.

Click to show or hide information. Select Database Record

Allows you to select the database record to which you want a shape to be linked.

Note Only the data fields are linked, not the shapes' relationships to each other.

Click to show or hide information. Refresh Shape's Custom Properties

Refreshes the shape's custom property field values to match the values in the data source cells for the record to which the shape is linked.

Click to show or hide information. Update Database Record

Updates the values in a data source record to match the values in the custom property fields of the shape to which the record is linked.

Click to show or hide information. Delete Shape And Database Record

Deletes a shape from the organization chart and the record in the data source to which the shape is linked.

Click to show or hide information. Refresh Shapes' Custom Properties On Page

Updates the values in custom property fields for all the shapes in a linked drawing to match values in the data source.

Click to show or hide information. Update Database Records

Updates the data source record values to match the values in the custom property fields of a linked shape.

Click to show or hide information. Refresh Linked Shapes' Custom Properties On Document Open

Each time you open the linked drawing, the values in custom property fields of all the shapes are updated to reflect values in the data source.

Click to show or hide information. Periodically Refresh Based On NOW Function

Allows you to switch on or off automatic updating of values in custom property fields (for all the shapes in a linked organization chart) at specific intervals defined by the NOW function.


About choosing data file columns

On this page, you specify the columns in your file where the wizard will find the information required to build an organization chart. The required information types are Name and Reports to. First name is required only if the first and last names are separated in your data file.

Click to show or hide information. If the Name column in your data file includes both first and last name

  • For Name, choose the name of the column that contains the first and last names.
  • For First name (optional), choose <none>.

Click to show or hide information. If the Name column in your data file includes only last name

  • For Name, choose the name of the column that contains the last name.
  • For First name (optional), choose the name of the column that contains the first name.


About breaking your organization chart across multiple pages

Click to show or hide information. I want to specify how much of my organization to display on each page

Click this option if your chart will span multiple pages, and you want to decide exactly which data will appear on each page. When you click Next, a new wizard page appears on which you can change defined pages, add new pages, or remove pages.

Click to show or hide information. I want the wizard to automatically break my organization chart across pages

Click this option if you want the wizard to determine how much of the organization appears on each page.

Click to show or hide information. Hyperlink employee shapes across pages

When selected, adds hyperlinks between shapes that represent the same employee that appear on more than one page of your organization chart.

Click to show or hide information. Synchronize employee shapes across pages

When selected, changes you make to a shape's text and custom properties will automatically be updated to any copies of that shape that appear on other pages.

Note Changes you make to text and custom properties apply to all synchronized copies of shapes on other pages. However, changes such as adding, deleting, or moving a synchronized shape do not apply to all synchronized shapes, only to that shape.